import * as React from 'react';
import { BaseProps } from '../../common/interfaces/CommonProps';
export interface InputProps extends BaseProps {
    type: string;
    defaultValue: any;
    addons?: {
        prepend: string[];
        append: string[];
    };
    input?: any;
}
export declare class Input extends React.Component<InputProps, any> {
    affixData: (data: string[], type: "prepend" | "append") => JSX.Element | null;
    render(): JSX.Element;
}
